<!DOCTYPE html>
<html lang="en">
<head>
    <title>ES6</title>
</head>
<body>
    <script>
        
        document.write("<h1> SOAL 2</h1>");

        document.write("<h3>2. Sederhanakan menjadi Object literal di ES6</h3>");

        document.write("<p>return dalam fungsi di bawah ini masih menggunakan object literal dalam ES5, ubahlah menjadi bentuk yang lebih sederhana di ES6.</p>")

        document.write("<p>const newFunction = function literal(firstName, lastName){</p>");
        document.write(`<p>&nbsp &nbsp return {</p>`);
        document.write(`<p>&nbsp &nbsp &nbsp &nbsp firstName: firstName,</p>`);
        document.write(`<p>&nbsp &nbsp &nbsp &nbsp lastName: lastName,</p>`);
        document.write(`<p>&nbsp &nbsp &nbsp &nbsp fullName: function(){</p>`);
        document.write(`<p>&nbsp &nbsp &nbsp &nbsp &nbsp &nbsp console.log(firstName + " " + lastName)</p>`);
        document.write(`<p>&nbsp &nbsp &nbsp &nbsp &nbsp &nbsp return</p>`);
        document.write(`<p>&nbsp &nbsp &nbsp &nbsp }</p>`);
        document.write(`<p>&nbsp &nbsp }</p>`);
        document.write(`<p>}</p>`);

        document.write(`<p>//Driver Code</p>`);
        document.write(`<p>newFunction("William", "Imoh").fullName() </p>`);

        document.write("<h3>Jawaban no 2</h3>");

        const literal = (firstName, lastName) => {
          return {
            firstName: firstName,
            lastName: lastName,
            fullName: () => {
              return  console.log(`${firstName} ${lastName}`);
            }
          }
        }

        const newFunction = literal("William", "Imoh");
        
        document.write(`${newFunction.fullName()}`);

    </script>
</body>
</html>